Loading...
Searching...
No Matches
space_basic< T, sequential >

## Detailed Description

template<class T>
class rheolef::space_basic< T, sequential >

Definition at line 391 of file space.h.

Inheritance diagram for space_basic< T, sequential >:

## Public Types

typedef space_rep< T, sequential > | rep
typedef smart_pointer< rep > | base
typedef rep::size_type | size_type
typedef rep::valued_type | valued_type
Public Types inherited from smart_pointer< space_rep< T, sequential > >
typedef space_rep< T, sequential > | handled_type
typedef base::internal | internal

## Public Member Functions

| space_basic (const geo_basic< T, sequential > &omega=(geo_basic< T, sequential >()), std::string approx="", std::string prod_valued="scalar")
| space_basic (const geo_basic< T, sequential > &omega, const basis_basic< T > &b)
| space_basic (const space_mult_list< T, sequential > &expr)
| space_basic (const space_constitution< T, sequential > &constit)
void | block (std::string dom_name)
void | unblock (std::string dom_name)
void | block (const domain_indirect_basic< sequential > &dom)
void | unblock (const domain_indirect_basic< sequential > &dom)
void | block_n (std::string dom_name)
void | unblock_n (std::string dom_name)
void | block_n (const domain_indirect_basic< sequential > &dom)
void | unblock_n (const domain_indirect_basic< sequential > &dom)
const distributor & | ownership () const
const communicator & | comm () const
size_type | ndof () const
size_type | dis_ndof () const
const geo_basic< T, sequential > & | get_geo () const
const basis_basic< T > & | get_basis () const
size_type | size () const
valued_type | valued_tag () const
const std::string & | valued () const
space_component< T, sequential > | operator[] (size_type i_comp)
space_component_const< T, sequential > | operator[] (size_type i_comp) const
const space_constitution< T, sequential > & | get_constitution () const
size_type | degree () const
std::string | get_approx () const
std::string | name () const
void | dis_idof (const geo_element &K, std::vector< size_type > &dis_idof) const
const distributor & | iu_ownership () const
const distributor & | ib_ownership () const
bool | is_blocked (size_type idof) const
size_type | dis_iub (size_type idof) const
bool | dis_is_blocked (size_type dis_idof) const
size_type | dis_idof2dis_iub (size_type dis_idof) const
const distributor & | ios_ownership () const
size_type | idof2ios_dis_idof (size_type idof) const
size_type | ios_idof2dis_idof (size_type ios_idof) const
const point_basic< T > & | xdof (size_type idof) const
const disarray< point_basic< T >, sequential > & | get_xdofs () const
template<class Function >
T | momentum (const Function &f, size_type idof) const
template<class Function >
point_basic< T > | vector_momentum (const Function &f, size_type idof) const
template<class Function >
tensor_basic< T > | tensor_momentum (const Function &f, size_type idof) const
disarray< size_type, sequential > | build_dom_dis_idof2bgd_dis_idof (const space_basic< T, sequential > &Wh, const std::string &dom_name) const
disarray< size_type, sequential > | build_dom_dis_idof2bgd_dis_idof (const space_basic< T, sequential > &Wh, const geo_basic< T, sequential > &bgd_gamma) const
const std::set< size_type > & | ext_iu_set () const
const std::set< size_type > & | ext_ib_set () const
bool | operator== (const space_basic< T, sequential > &V2) const
bool | operator!= (const space_basic< T, sequential > &V2) const
template<class Set >
void | get_parent_subgeo_owner_dis_indexes (Set &ext_dis_idofs) const
size_type | get_parent_subgeo_owner (size_type dis_idof) const
Public Member Functions inherited from smart_pointer< space_rep< T, sequential > >
| smart_pointer (space_rep< T, sequential > *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< space_rep< T, sequential > > &x)
smart_pointer< space_rep< T, sequential > > & | operator= (const smart_pointer< space_rep< T, sequential > > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, C >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, C > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, C > & | operator= (const smart_pointer_base< T, C > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
T * | pointer ()
T & | data ()
T * | operator-> ()
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Static Public Member Functions

static space_basic< T, sequential > | real ()

## Member Typedef Documentation

## rep

template<class T >

typedef space_rep<T,sequential> rep

Definition at line 396 of file space.h.

## base

template<class T >

typedef smart_pointer<rep> base

Definition at line 397 of file space.h.

## size_type

template<class T >

typedef rep::size_type size_type

Definition at line 398 of file space.h.

## valued_type

template<class T >

typedef rep::valued_type valued_type

Definition at line 399 of file space.h.

## Constructor & Destructor Documentation

## space_basic() [1/4]

template<class T >

space_basic | ( | const geo_basic< T, sequential > & | omega = `(geo_basic<T,sequential>())`,
|  | std::string | approx = `""`,
|  | std::string | prod_valued = `"scalar"`
| ) |  |

Definition at line 494 of file space.h.

## space_basic() [2/4]

template<class T >

space_basic | ( | const geo_basic< T, sequential > & | omega,
|  | const basis_basic< T > & | b
| ) |  |

Definition at line 503 of file space.h.

## space_basic() [3/4]

template<class T >

space_basic | ( | const space_mult_list< T, sequential > & | expr | ) |

Definition at line 518 of file space.h.

## space_basic() [4/4]

template<class T >

space_basic | ( | const space_constitution< T, sequential > & | constit | ) |

Definition at line 511 of file space.h.

## Member Function Documentation

## real()

template<class T >

static space_basic< T, sequential > real | ( |  | ) |

static

## block() [1/2]

template<class T >

void block | ( | std::string | dom_name | ) |

Definition at line 700 of file space.h.

## unblock() [1/2]

template<class T >

void unblock | ( | std::string | dom_name | ) |

Definition at line 707 of file space.h.

## block() [2/2]

template<class T >

void block | ( | const domain_indirect_basic< sequential > & | dom | ) |

Definition at line 714 of file space.h.

## unblock() [2/2]

template<class T >

void unblock | ( | const domain_indirect_basic< sequential > & | dom | ) |

Definition at line 721 of file space.h.

## block_n() [1/2]

template<class T >

void block_n | ( | std::string | dom_name | ) |

Definition at line 728 of file space.h.

## unblock_n() [1/2]

template<class T >

void unblock_n | ( | std::string | dom_name | ) |

Definition at line 735 of file space.h.

## block_n() [2/2]

template<class T >

void block_n | ( | const domain_indirect_basic< sequential > & | dom | ) |

Definition at line 742 of file space.h.

## unblock_n() [2/2]

template<class T >

void unblock_n | ( | const domain_indirect_basic< sequential > & | dom | ) |

Definition at line 749 of file space.h.

## ownership()

template<class T >

const distributor & ownership | ( |  | ) | const

Definition at line 525 of file space.h.

## comm()

template<class T >

const communicator & comm | ( |  | ) | const

Definition at line 539 of file space.h.

## ndof()

template<class T >

space_basic< T, sequential >::size_type ndof | ( |  | ) | const

Definition at line 546 of file space.h.

## dis_ndof()

template<class T >

space_basic< T, sequential >::size_type dis_ndof | ( |  | ) | const

Definition at line 553 of file space.h.

## get_geo()

template<class T >

const geo_basic< T, sequential > & get_geo | ( |  | ) | const

Definition at line 560 of file space.h.

## get_basis()

template<class T >

const basis_basic< T > & get_basis | ( |  | ) | const

Definition at line 567 of file space.h.

## size()

template<class T >

space_basic< T, sequential >::size_type size | ( |  | ) | const

Definition at line 581 of file space.h.

## valued_tag()

template<class T >

space_basic< T, sequential >::valued_type valued_tag | ( |  | ) | const

Definition at line 595 of file space.h.

## valued()

template<class T >

const std::string & valued | ( |  | ) | const

Definition at line 588 of file space.h.

## operator[]() [1/2]

template<class T >

space_component< T, sequential > operator[] | ( | size_type | i_comp | ) |

Definition at line 602 of file space.h.

## operator[]() [2/2]

template<class T >

space_component_const< T, sequential > operator[] | ( | size_type | i_comp | ) | const

Definition at line 609 of file space.h.

## get_constitution()

template<class T >

const space_constitution< T, sequential > & get_constitution | ( |  | ) | const

Definition at line 574 of file space.h.

## degree()

template<class T >

space_basic< T, sequential >::size_type degree | ( |  | ) | const

Definition at line 616 of file space.h.

## get_approx()

template<class T >

std::string get_approx | ( |  | ) | const

Definition at line 623 of file space.h.

## name()

template<class T >

std::string name | ( |  | ) | const

Definition at line 630 of file space.h.

## dis_idof()

template<class T >

void dis_idof | ( | const geo_element & | K,
|  | std::vector< size_type > & | dis_idof
| ) |  | const

Definition at line 637 of file space.h.

## iu_ownership()

template<class T >

const distributor & iu_ownership | ( |  | ) | const

Definition at line 658 of file space.h.

## ib_ownership()

template<class T >

const distributor & ib_ownership | ( |  | ) | const

Definition at line 665 of file space.h.

## is_blocked()

template<class T >

bool is_blocked | ( | size_type | idof | ) | const

Definition at line 672 of file space.h.

## dis_iub()

template<class T >

space_basic< T, sequential >::size_type dis_iub | ( | size_type | idof | ) | const

Definition at line 679 of file space.h.

## dis_is_blocked()

template<class T >

bool dis_is_blocked | ( | size_type | dis_idof | ) | const

Definition at line 686 of file space.h.

## dis_idof2dis_iub()

template<class T >

space_basic< T, sequential >::size_type dis_idof2dis_iub | ( | size_type | dis_idof | ) | const

Definition at line 693 of file space.h.

## ios_ownership()

template<class T >

const distributor & ios_ownership | ( |  | ) | const

Definition at line 532 of file space.h.

## idof2ios_dis_idof()

template<class T >

space_basic< T, sequential >::size_type idof2ios_dis_idof | ( | size_type | idof | ) | const

Definition at line 644 of file space.h.

## ios_idof2dis_idof()

template<class T >

space_basic< T, sequential >::size_type ios_idof2dis_idof | ( | size_type | ios_idof | ) | const

Definition at line 651 of file space.h.

## xdof()

template<class T >

const point_basic< T > & xdof | ( | size_type | idof | ) | const

Definition at line 756 of file space.h.

## get_xdofs()

template<class T >

const disarray< point_basic< T >, sequential > & get_xdofs | ( |  | ) | const

Definition at line 763 of file space.h.

## momentum()

template<class T >
template<class Function >

T momentum | ( | const Function & | f,
|  | size_type | idof
| ) |  | const

Definition at line 771 of file space.h.

## vector_momentum()

template<class T >
template<class Function >

point_basic< T > vector_momentum | ( | const Function & | f,
|  | size_type | idof
| ) |  | const

Definition at line 779 of file space.h.

## tensor_momentum()

template<class T >
template<class Function >

tensor_basic< T > tensor_momentum | ( | const Function & | f,
|  | size_type | idof
| ) |  | const

Definition at line 786 of file space.h.

## build_dom_dis_idof2bgd_dis_idof() [1/2]

template<class T >

disarray< size_type, sequential > build_dom_dis_idof2bgd_dis_idof | ( | const space_basic< T, sequential > & | Wh,
|  | const std::string & | dom_name
| ) |  | const

## build_dom_dis_idof2bgd_dis_idof() [2/2]

template<class T >

disarray< size_type, sequential > build_dom_dis_idof2bgd_dis_idof | ( | const space_basic< T, sequential > & | Wh,
|  | const geo_basic< T, sequential > & | bgd_gamma
| ) |  | const

## ext_iu_set()

template<class T >

const std::set< size_type > & ext_iu_set | ( |  | ) | const

Definition at line 473 of file space.h.

## ext_ib_set()

template<class T >

const std::set< size_type > & ext_ib_set | ( |  | ) | const

Definition at line 474 of file space.h.

## operator==()

template<class T >

bool operator== | ( | const space_basic< T, sequential > & | V2 | ) | const

Definition at line 478 of file space.h.

## operator!=()

template<class T >

bool operator!= | ( | const space_basic< T, sequential > & | V2 | ) | const

Definition at line 479 of file space.h.

## get_parent_subgeo_owner_dis_indexes()

template<class T >
template<class Set >

void get_parent_subgeo_owner_dis_indexes | ( | Set & | ext_dis_idofs | ) | const

Definition at line 486 of file space.h.

## get_parent_subgeo_owner()

template<class T >

size_type get_parent_subgeo_owner | ( | size_type | dis_idof | ) | const

Definition at line 488 of file space.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/space.h